package org.jeecg.modules.app.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.app.dto.GetPlaceListDTO;
import org.jeecg.modules.app.vo.LoginUserVO;
import org.jeecg.modules.app.vo.MsgInfoVO;
import org.jeecg.modules.app.vo.MsgVO;
import org.jeecg.modules.app.vo.PlaceVO;

import java.util.List;

public interface IUserService {

    /**
     * @Description 微信登录
     * @Author SheepHy
     * @Date 17:14 2025/7/3
     * @Param code 微信登录返回的code
     * @return LoginUserVO {@link LoginUserVO}
     **/
    LoginUserVO wechatLogin(String code);

    /**
     * @Author SheepHy
     * @Description 查询消息通知列表（简略）
     * @Date 17:13 2025/7/3
     * @return List<MsgVO> {@link List<MsgVO>}
     **/
    List<MsgVO> getMsg();

    /**
     * @Author SheepHy
     * @Description 查询消息详情
     * @Date 17:29 2025/7/3
     * @Param id 消息ID
     * @return MsgInfoVO {@link MsgInfoVO}
     **/
    MsgInfoVO getMsgInfo(String id);

    /**
     * @Author SheepHy
     * @Description 场地列表查询
     * @Date 10:37 2025/7/4
     * @Param
     * @return
     **/
    Page<PlaceVO> getPlaceList(GetPlaceListDTO getPlaceListDTO);

}
